<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <meta charset="UTF-8">
    <title>Dashboard</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<!--    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>-->
<!--    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<!--    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>-->
</head>
<body class="container">
<div class="row col-md-10" sec:authorize="isAuthenticated()">
    Authenticated as <span sec:authentication="name"></span> <br/>
    Authenticated as <span sec:authentication="principal.authorities"></span> <br/>
    <!--    Authenticated as <span th:text="${name}"></span>-->
</div>

<!--<div th:if="${#authorization.expression('hasRole(''ROLE_ADMIN'')')}">-->
<div sec:authorize="hasRole('ROLE_ADMIN')">
    <form action="admin" , method="get">
        <button class="button" type="admin">Admin Page</button>
    </form>
</div>

<div>
    <form th:action="@{/logout}" , method="post">
        <button class="button" type="submit">Log out</button>
    </form>
</div>
</body>
</html>



